### Signal

# Panel Frame::adopt-widget

since: 1.2

#### Declaration

    gboolean
    adopt_widget (
      PanelFrame* self,
      PanelWidget* widget,
      gpointer user_data
    )

#### Description [src]

This signal is emitted when the frame should decide if it can adopt a `PanelWidget` dropped on the frame.

If `GDK_EVENT_STOP` is returned, then the widget will not be adopted.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 1.2

#### Parameters

`widget`

  Type: `PanelWidget`

  A `PanelWidget`.

  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`GDK_EVENT_STOP` or `GDK_EVENT_PROPAGATE`.